# DocumentDataExtractorConfiguration class

Configuration for the document data extractor.

## Constructors

DocumentDataExtractorConfiguration.new({ResultAccumulationConfiguration? resultAccumulationConfig, List<String>? fieldExcludeList, required List<DocumentDataExtractorConfigurationElement> configurations, bool returnCrops = false})
DocumentDataExtractorConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

configurations ↔ List<DocumentDataExtractorConfigurationElement>
  List of configuration elements for the document data extractor.
  getter/setter pair
fieldExcludeList ↔ List<String>
  Normalized names of the fields to exclude from the result.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
resultAccumulationConfig ↔ ResultAccumulationConfiguration
  Configuration for how to accumulate results.
  getter/setter pair
returnCrops ↔ bool
  If true, crops of the detected documents and fields will be returned in the result.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited